<?php
if (! isset($data)) {
	exit;
}

foreach ($data['all']['scripts'] as $obj) {
	$active = (isset($data['current']['scripts']) && in_array($obj->handle, $data['current']['scripts']));

	$class = ($active) ? 'wpacu_not_load' : '';
	$checked = ($active) ? 'checked="checked"' : '';

	/*
	 * $isGlobalRule is only used to apply a red background in the script's area to point out that the script is unloaded
	*/
	$globalUnloaded = $bulkTypeUnloaded = $isPostTypeUnloaded = $isLoadException = $isGlobalRule = false;

	// Mark it as unloaded - Everywhere
	if (in_array($obj->handle, $data['global_unload']['scripts']) && !$class) {
		$globalUnloaded = $isGlobalRule = true;
	}

	// Mark it as unloaded - for the Current Post Type
	if ($data['bulk_unloaded_type'] && in_array($obj->handle, $data['bulk_unloaded'][$data['bulk_unloaded_type']]['scripts'])) {
		$bulkTypeUnloaded = $isGlobalRule = true;

		if ($data['bulk_unloaded_type'] === 'post_type') {
			$isPostTypeUnloaded = true;
		}
	}

	if ($isGlobalRule) {
		if (in_array($obj->handle, $data['load_exceptions']['scripts'])) {
			$isLoadException = true;
		} else {
			$class .= ' wpacu_not_load';
		}
	}

	$class .= ' script_'.$obj->handle;
	?>
    <tr class="wpacu_asset_row <?php echo $class; ?>">
        <td valign="top" style="width: 100%;">
            <p style="margin-top: 0;">
                <label for="script_<?php echo $obj->handle; ?>"> <?php _e('Handle:', WPACU_PLUGIN_NAME); ?> <strong><span style="color: green;"><?php echo $obj->handle; ?></span></strong></label>
				<?php
				if (isset($obj->wp) && $obj->wp) {
					?>
                    <span class="dashicons dashicons-warning wordpress-core-file"><span class="tooltip">WordPress Core File<br />Not sure if needed or not? In this case, it's better to leave it loaded to avoid breaking the website.</span></span>
					<?php
				}
				?>
            </p>

            <div style="padding: 5px 10px; margin: 15px 0; background: white; border: 1px solid #eee; border-radius: 5px;">
                <ul class="wpacu_asset_options" <?php /* [wpacu_lite] */ if ($globalUnloaded || $isPostTypeUnloaded) { /* [/wpacu_lite] */ echo 'style="display: none;"'; } ?>>
                    <li class="wpacu_unload_this_page">
                        <label class="wpacu_switch"><input class="input-unload-on-this-page" id="script_<?php echo $obj->handle; ?>" <?php /* [wpacu_lite] */ if ($globalUnloaded || $isPostTypeUnloaded) { /* [/wpacu_lite] */ echo 'disabled="disabled"'; } echo $checked; ?> name="<?php echo WPACU_PLUGIN_NAME; ?>[scripts][]" type="checkbox" value="<?php echo $obj->handle; ?>" /><span class="wpacu_slider wpacu_round"></span></label> <label class="wpacu_slider_text" for="script_<?php echo $obj->handle; ?>">Unload on this page</label>
                    </li>
                </ul>

                <?php
                /* [wpacu_lite] */ if ($globalUnloaded || $isPostTypeUnloaded) { /* [/wpacu_lite] */
                ?>
                    <em>"Unload on this page" rule is locked and irrelevant as there are global rules set below that overwrite it. Once all the rules below are removed, this option will become available again.</em>
                    <?php
                }
                ?>
            </div>

            <div style="padding: 5px 10px; margin: 15px 0; background: white; border: 1px solid #eee; border-radius: 5px;">
	            <?php
	            // Unloaded Everywhere
	            if ($globalUnloaded) {
		            ?>
                    <p><strong style="color: #d54e21;">This JavaScript file is unloaded everywhere</strong></p>
		            <?php
	            }
	            ?>


                <ul class="wpacu_asset_options">
					<?php
					// [START] UNLOAD EVERYWHERE
					if ($globalUnloaded) {
						?>
                        <li>
                            <label><input data-handle="<?php echo $obj->handle; ?>"
                                          class="wpacu_bulk_option wpacu_script"
                                          type="radio"
                                          name="wpacu_options_scripts[<?php echo $obj->handle; ?>]"
                                          checked="checked"
                                          value="default" />
                                Keep the unload global rule</label>
                        </li>

                        <li>
                            <label><input data-handle="<?php echo $obj->handle; ?>"
                                          class="wpacu_bulk_option wpacu_script"
                                          type="radio"
                                          name="wpacu_options_scripts[<?php echo $obj->handle; ?>]"
                                          value="remove" />
                                Remove global unload rule</label>
                        </li>
						<?php
					} else {
						?>
                        <li>
                            <label><input data-handle="<?php echo $obj->handle; ?>"
                                          class="wpacu_global_unload wpacu_global_script"
                                          id="wpacu_global_unload_script_<?php echo $obj->handle; ?>"
                                          type="checkbox"
                                          name="wpacu_global_unload_scripts[]"
                                          value="<?php echo $obj->handle; ?>"/>
                                Unload Everywhere</label>
                        </li>
						<?php
					}
					// [END] UNLOAD EVERYWHERE
					?>

                </ul>
            </div>

			<?php if ($data['bulk_unloaded_type'] === 'post_type') { ?>
            <div style="padding: 5px 10px; margin: 15px 0; background: white; border: 1px solid #eee; border-radius: 5px;">
				<?php } ?>

				<?php
				// Unloaded On All Pages Belonging to the page's Post Type
				if ($isPostTypeUnloaded) {
					?>
                    <p><strong style="color: #d54e21;">This JavaScript file is unloaded on all <u><?php echo $data['post_type']; ?></u> post types.</strong></p>
                    <div class="clear"></div>
					<?php
				}
				?>

                <ul class="wpacu_asset_options">
					<?php
					if ($data['bulk_unloaded_type'] === 'post_type') {
						// [START] ALL PAGES HAVING THE SAME POST TYPE
						if ($isPostTypeUnloaded) {
							?>
                            <li>
                                <label><input data-handle="<?php echo $obj->handle; ?>"
                                              class="wpacu_post_type_option wpacu_post_type_script wpacu_keep_bulk_rule"
                                              type="radio"
                                              name="wpacu_options_post_type_scripts[<?php echo $obj->handle; ?>]"
                                              checked="checked"
                                              value="default"/>
                                    Keep rule</label>
                            </li>

                            <li>
                                <label><input data-handle="<?php echo $obj->handle; ?>"
                                              class="wpacu_post_type_option wpacu_remove_bulk_rule wpacu_post_type_script"
                                              type="radio"
                                              name="wpacu_options_post_type_scripts[<?php echo $obj->handle; ?>]"
                                              value="remove"/>
                                    Remove rule</label>
                            </li>
							<?php
						} else {
							?>
                            <li>
                                <label><input data-handle="<?php echo $obj->handle; ?>"
                                              class="wpacu_bulk_unload wpacu_post_type_unload wpacu_post_type_script"
                                              id="wpacu_global_unload_post_type_script_<?php echo $obj->handle; ?>"
                                              type="checkbox"
                                              name="wpacu_bulk_unload_scripts[post_type][<?php echo $data['post_type']; ?>][]"
                                              value="<?php echo $obj->handle; ?>"/>
                                    Unload on All Pages of <strong><?php echo $data['post_type']; ?></strong> post type</label>
                            </li>
							<?php
						}
					}
					// [END] ALL PAGES HAVING THE SAME POST TYPE
					?>
                </ul>
				<?php if ($data['bulk_unloaded_type'] === 'post_type') { ?>
            </div>
		<?php } ?>

			<?php
			do_action('wpacu_pro_bulk_unload_output', $data, $obj, 'js');
			?>

            <ul class="wpacu_asset_options">
                <li id="wpacu_load_it_option_script_<?php echo $obj->handle; ?>">
                    <label><input data-handle="<?php echo $obj->handle; ?>"
                                  id="wpacu_script_load_it_<?php echo $obj->handle; ?>"
                                  class="wpacu_load_it_option wpacu_script wpacu_load_exception"
                                  type="checkbox"
                                  name="wpacu_scripts_load_it[]"
							<?php if ($isLoadException) { ?> checked="checked" <?php } ?>
                                  value="<?php echo $obj->handle; ?>" />
                        Load it on this page (make exception<?php if (! $isGlobalRule) { echo ' * works only IF any of bulk rule above is selected'; } ?>)</label>
                </li>
            </ul>
	        <?php
	        if (isset($obj->src) && $obj->src != '') {
		        ?>
                <p><?php _e('Source:', WPACU_PLUGIN_NAME); ?> <a target="_blank" href="<?php echo $obj->srcHref; ?>"><?php echo $obj->src; ?></a></p>
		        <?php
	        }

	        if (isset($obj->extra->data) && ! empty($obj->extra->data)) { ?>
                <p><?php _e('Inline:', WPACU_PLUGIN_NAME); ?> <em><?php echo strip_tags($obj->extra->data); ?></em></p>
		        <?php
	        }

	        $extraInfo = array();

	        if (! empty($obj->deps)) {
		        $extraInfo[] = '<strong>'.__('Depends on:', WPACU_PLUGIN_NAME).'</strong> '.implode(', ', $obj->deps);
	        }

	        if (isset($obj->ver) && $obj->ver != '') {
		        $extraInfo[] = '<strong>'.__('Version:', WPACU_PLUGIN_NAME).'</strong> '.$obj->ver;
	        }

	        if (isset($obj->position) && $obj->position != '') {
		        $extraInfo[] = '<strong>'.__('Position:', WPACU_PLUGIN_NAME).'</strong> '.(($obj->position == 'head') ? 'HEAD' : 'BODY');
	        }

	        // [wpacu_lite]
	        $extraInfo[] = '<strong>'.__('File Size:', WPACU_PLUGIN_NAME).'</strong> <a class="go-pro-link-no-style" href="'.WPACU_PLUGIN_GO_PRO_URL.'"><span class="tooltip">Upgrade to Pro to unlock all features</span><img width="20" height="20" src="'.WPACU_PLUGIN_URL.'/assets/icons/icon-lock.svg" valign="top" alt="" /> Pro Version</a>';
	        // [/wpacu_lite]

	        if (! empty($extraInfo)) {
		        echo '<p>'.implode(' &nbsp;/&nbsp; ', $extraInfo).'</p>';
	        }
	        ?>
        </td>
    </tr>
	<?php
}
