<?php
if (! isset($data)) {
	exit;
}

/*
* --------------------
* [START] STYLES LIST
* --------------------
*/
?>
<h3><span style="font-size: 120%; line-height: 130%;" class="dashicons dashicons-admin-appearance"></span> &nbsp; <?php _e('Styles (.css files)', WPACU_PLUGIN_NAME); ?></h3>

<?php
if ($data['total_styles']) {
	?>
	<h4>&#10141; Total enqueued stylesheets: <strong><?php echo $data['total_styles']; ?></strong></h4>
	<?php
}

if (! empty($data['all']['styles'])) {
	?>
	<p><?php echo sprintf(__('The following styles are loading on this page. Please select the ones that are %sNOT NEEDED%s. If you are not sure which ones to unload, it is better to leave them enabled (unchecked) and consult with a developer about unloading the assets.', WPACU_PLUGIN_NAME), '<span style="color: #CC0000;"><strong>', '</strong></span>'); ?></p>
	<p><?php echo __('"Load in on this page (make exception)" will take effect when a bulk unload rule is used. Otherwise, the asset will load anyway unless you select it for unload.', WPACU_PLUGIN_NAME); ?></p>
	<?php
	if ($data['core_styles_loaded']) {
		?>
		<div class="wpacu_note wpacu_warning"><em><?php
				echo sprintf(
					__('Assets that are marked with %s are part of WordPress core files. Be careful if you decide to unload them!', WPACU_PLUGIN_NAME),
					'<span class="dashicons dashicons-warning"></span>'
				);
				?>
			</em></div><br />
		<?php
	}
	?>
	<table class="wp-asset-clean-up wp-list-table widefat wpacu_widefat fixed striped wpacu_striped">
		<tbody>
		<?php
        include_once dirname(__FILE__).'/_asset-style-rows.php';
        ?>
		</tbody>
	</table>
	<?php
} else {
	echo __('It looks like there are no public .css files loaded or the ones visible do not follow <a href="https://codex.wordpress.org/Function_Reference/wp_enqueue_style">the WordPress way of enqueuing styles</a>.', WPACU_PLUGIN_NAME);
}
/* -------------------
 * [END] STYLES LIST
 * -------------------
 */

/*
 * ---------------------
 * [START] SCRIPTS LIST
 * ---------------------
 */
?>
<h3><span style="font-size: 120%; line-height: 130%;" class="dashicons dashicons-media-code"></span> &nbsp; <?php _e('Scripts (.js files)', WPACU_PLUGIN_NAME); ?></h3>

<?php
if ($data['total_scripts']) {
	?>
	<h4>&#10141; Total enqueued JavaScript files: <strong><?php echo $data['total_scripts']; ?></strong></h4>
	<?php
}
?>

<?php
if (! empty($data['all']['scripts'])) {
	?>
	<p><?php echo sprintf(__('The following scripts are loading on this page. Please select the ones that are %sNOT NEEDED%s. If you are not sure which ones to unload, it is better to leave them enabled and consult with a developer about unloading the assets.', WPACU_PLUGIN_NAME), '<span style="color: #CC0000;"><strong>', '</strong></span>'); ?></p>
	<p><?php echo __('"Load in on this page (make exception)" will take effect when a bulk unload rule is used. Otherwise, the asset will load anyway unless you select it for unload.', WPACU_PLUGIN_NAME); ?></p>
	<?php
	if ($data['core_scripts_loaded']) {
		?>
		<div class="wpacu_note wpacu_warning"><em><?php
				echo sprintf(
					__('Assets that are marked with %s are part of WordPress core files. Be careful if you decide to unload them!', WPACU_PLUGIN_NAME),
					'<span class="dashicons dashicons-warning"></span>'
				);
				?>
			</em></div><br />
		<?php
	}
	?>

	<table class="wp-list-table widefat wpacu_widefat fixed striped wpacu_striped">
		<tbody>
        <?php
        include_once dirname(__FILE__).'/_asset-script-rows.php';
        ?>
		</tbody>
	</table>
	<?php
} else {
	echo __('It looks like there are no public .js files loaded or the ones visible do not follow <a href="https://codex.wordpress.org/Function_Reference/wp_enqueue_script">the WordPress way of enqueuing scripts</a>.', WPACU_PLUGIN_NAME);
}
/*
 * -------------------
 * [END] SCRIPTS LIST
 * -------------------
 */
